{
  "extends": "@vue/tsconfig/tsconfig.dom.json", // https://github.com/vuejs/create-vue/blob/main/template/tsconfig/base/tsconfig.app.json
  "include": [
    "./typed-router.d.ts",
    "./auto-imports.d.ts",
    "./components.d.ts",
    // "node_modules/vant/es/index.d.ts",
    // "node_modules/tdesign-vue-next/global.d.ts",
    "src/**/*",
    "src/**/*.vue"
  ],
  "exclude": [
    "src/**/__tests__/*",
  ],
  "compilerOptions": {
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "tsBuildInfoFile": "./node_modules/.tmp/tsconfig.app.tsbuildinfo",
    "allowJs": true, // 允许编译 JavaScript 文件
    "checkJs": true, // 启用 JavaScript 文件的类型检查
    "types": [
      "vite/client",
      // "vitest",

      "vite-plugin-vue-layouts/client",
      "vite-plugin-vue-meta-layouts/client",
      // "vite-plugin-pwa/client",
      "unplugin-vue-macros/macros-global",
      "unplugin-vue-router/client",
      "unplugin-icons/types/vue",
      "@intlify/unplugin-vue-i18n/messages"
    ],
    "paths": {
      "@/*": ["./src/*"]
    }
  },

  // https://vue-macros.dev/volar/setup-jsdoc.html#setupjsdoc
  // https://vue-macros.dev/zh-CN/guide/bundler-integration.html#volar-支持
  "vueCompilerOptions": {
    "plugins": ["unplugin-vue-macros/volar"]
  }
}
